Subject: Re: [PATCH] Consolidate shared code between enic and fnic drivers.

From: Hannes Reinecke <[email-masked]>
Date: Thu, 18 Jun 2009 11:29:47 +0200

Hi all,

Scott Feldman wrote:
> Consolidate shared code between enic and fnic drivers.
> 
> [David/James, we need a little help with this one...this single patch
> spans scsi and netdev, so we're not sure which tree/maintainer needs
> to pick up the patch.  Please advise.  It's for 2.6.31.  The patch is
> against linux-2.6.git.]
> 
Ah, finally. I was actually waiting someone would spot this ...

> The Cisco enic 10G Ethernet driver and the fnic FCoE HBA driver share
> much of the same hardware-access code because enic and fnic devices are
> really two functions on a converged-I/O PCIe device.  This patch
> consolidates the shared code into one shared module, thus eliminating
> the code duplication.  No functional changes are made by the patch.
> 
> Why weren't these consolidated in the first place?  fnic went in late in
> 2.6.30 on the scsi branch (merge exception for new drivers), and it was
> too late to modify enic which was already included in 2.6.28.
> 
Hmm. Seeing that we're getting more and more of these type of drivers
(cf bnx2 / bnx2i / cnic, enic / fnic, and at least one other in the pipe)
one does wonder whether we should establish a separate directory for
these kind of things.
drivers/virtual or drivers/shared springs to mind.

Having them in the network directory is probably not the
correct choice.

Cheers,

Hannes
-- 
Dr. Hannes Reinecke		      zSeries & Storage
[email-masked]			      +49 911 74053 688
SUSE LINUX Products GmbH, Maxfeldstr. 5, 90409 Nürnberg
GF: Markus Rex, HRB 16746 (AG Nürnberg)
--
To unsubscribe from this list: send the line "unsubscribe linux-scsi" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html